{# Jumbotron

A classic Jumbotron widget

parameters:
  id: give a unique ID to every widget in the page
  style: additional css style rules for this ID
  class: set additional classes for the widget
  title: title for widget
  text: text or content
  buttons: array of buttons each with its text, url, class

-#}
{%include "include/widget_style.html" -%}
<div class="jumbotron {{widget.class}}" id="{{widget.id}}">
    <div class="container">
        <h1 class="display-3">{{widget.title}}</h1>
        {{widget.text}}
        {% for btn in widget.buttons -%}
        <a class="{{btn[2] or widget.btn_class}}" href="{{btn[1]}}" {{btn[3]}} role="button">{{btn[0]}}</a>
        {% endfor -%}
    </div>
</div>
